#ifndef HASH_HPP
#define HASH_HPP

#include <string>
#include <cstdint>

namespace dropshell {

    uint64_t hash_file(const std::string &path);

    uint64_t hash_directory_recursive(const std::string &path);

    void hash_demo(const std::string & path);

    int hash_demo_raw(const std::string & path);

} // namespace dropshell


#endif